%dipstart
%dipfig -unlink
%close all
%startup

clear
dipclf

%read background images
nb = 5;
bg = newim(1000,1000,nb);

for i = 1:1:nb
    
str = sprintf('20100802_GCFP1_B%02d', i);
%eval('img=readsem(str);');
bg(:,:,i-1) = readim(str);

end

%read images
ni = 15;
im = newim(1000,1000,ni);

for i = 1:1:ni

str = sprintf('20100802_GCFP1_M%02d', i);
im(:,:,i-1) = readim(str);

end

im2 = correctshift(im);
out = cal_readnoise(im2,bg); %out(M) = 0 0 20 24054
                             %out(M2) = 0 0 100 24053

%To have for each pixel the intensity value in ADU, we have to remove the
%background noise mean (mean(bg) = out(4))
im3 = im2 - out(4); 

%To convert the intensity of the pixels in number of detected electrons, we
%multiply the intensity (ADU) by the gain
im4 = im3*out(2);

%Relative weight: a coefficient assigned to elements of a frequency
%distribution in order to represent their relative importance
%Questions: ADU, RMS, bins, shift measurement, variance















